S3: Library for accessing S3 compatible storage services

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain] [Publish]

This library provides a lightweight API for interacting with storage services compatible with Amazon's Simple Storage Service or S3 protocol.

The current version of this library provides support for

See the Network.S3 module for documentation and usage examples.

Properties

Versions 0.1.0.0, 0.1.0.0
Change log None available
Dependencies base (>=4.8.0.0 && <4.12 || >=4.12.0.0 && <4.13), base-encoding (>=0.1.0 && <0.2), base-noprelude (>=4.7.0.0 && <4.8), bytestring (==0.10.*), cryptohash-md5 (>=0.11.100 && <0.12), cryptohash-sha1 (>=0.11.100 && <0.12), cryptohash-sha256 (>=0.11.100 && <0.12), deepseq (>=1.3 && <1.5), hashable (>=1.2.7 && <1.3 || >=1.3.0 && <1.4), http-io-streams (>=0.1.0.0 && <0.2), io-streams (==1.5.*), Prelude (>=0.1.0.1 && <0.2), text (>=1.2.3 && <1.3), text-short (>=0.1.2 && <0.2), time (>=1.5 && <1.7 || >=1.8.0.2 && <1.9), X (>=0.3.0 && <0.4) [details]
License GPL-3.0-or-later
Author Herbert Valerio Riedel
Maintainer hvr@gnu.org
Category Network
Bug tracker https://github.com/hvr/S3/issues
Source repo head: git clone https://github.com/hvr/S3.git
Uploaded by HerbertValerioRiedel at 2019-08-18T22:12:13Z

Modules

[Index]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees